Sign in to follow this  
Followers 0
iDiannasaur

[SOLVED] Just downloaded InfiSTAR yesterday, saying outdated

9 posts in this topic

Posted (edited)

We followed the instructions to the letter, downloaded and merged the update that was posted yesterday just in case we didn't have it, but are still getting this when starting the server: 

Spoiler

 

12:23:22 "<infiSTAR.de> 0 - checking for EXILE_SERVER.."

 

12:23:22 "<infiSTAR.de> 0 - EXILE_SERVER has been found, STARTING"

 

12:23:22 "<infiSTAR.de> 0 - checking for Cfg_infiSTAR_settings.."

 

12:23:22 "<infiSTAR.de> 0 - Cfg_infiSTAR_settings has been found, STARTING"

 

12:23:22 "<infiSTAR.de> 0 - STARTUP - including AdminTools"

 

12:23:22 "<infiSTAR.de> 0 - STARTUP - AdminTools included!"

 

12:23:22 "<infiSTAR.de> 0 - STARTUP - including AntiHack"

 

12:23:22 "<infiSTAR.de> infiSTAR is outdated! Please go to update.infistar.de and get yourself the latest version!"

 

12:23:22 "<infiSTAR.de> infiSTAR will not START if it is outdated!"

 

 

Any help is appreciated. 

Edited by iDiannasaur

Share this post


Link to post
Share on other sites

Hey

you probably forgot to

#include "infiSTAR_Exile_AdminMenu.hpp"

in your mpmissions description.ext ;)

Share this post


Link to post
Share on other sites
Advertisement

Posted (edited)

We used the description.ext from the zip, so it's in there, and we manually checked includes during the install process in case of typos or difference in use of capitalization (Linux).

We can provide copies of any files or configs if you want to look it over yourself, but we've been over it three times from scratch with the same result each time.

Thanks.

 

P.S. I dont know if it matters, but the exile version we're currently using is 0.9.6, and arma 1.58. 

Edited by iDiannasaur

Share this post


Link to post
Share on other sites

Well yeah that matters

it has some function that only work with version

160 of arma so it is doing this:

_productVersion = productVersion select 2;
if!((_productVersion isEqualTo 160)||((_productVersion isEqualTo 161)&&!((productVersion select 4) isEqualTo 'Stable')))exitWith{
	diag_log '<infiSTAR.de> infiSTAR is outdated! Please go to update.infistar.de and get yourself the latest version!';
	diag_log '<infiSTAR.de> infiSTAR will not START if it is outdated!';
};

just to ensure it's working and doesn't have missing functions.

I was mistaking the error you posted with a different one, sorry!

 

also on linux I would recommend to  always pbo anything up, don't use just a folder for the mpmission 

 

 

Share this post


Link to post
Share on other sites

Yes, we're packing everything into PBO files per the included instructions. 
*By way of mention, We did notice that the server is looking for an all lower-case server pbo file name, when some capitalization is used in the contained folder.
Naturally this only matters because linux; we went ahead and renamed the pbo accordingly, leaving the contained folder as it were. It seemed to work after that apart from the outdated message.

Are you currently aware of any issues we might encounter if we were add 1.58 to the list of checks until we get around to upgrading the server and mod?
If so, we'll refrain from submitting tickets about them unless they persist after the upgrade.

Thanks again!

Share this post


Link to post
Share on other sites

Hey

with 50A now you can just remove this block:
 

kQzcI15tthWCaehA6rshU.png

and run it again with 1.58

functions that were used and different in 1.58 / 1.60 like the enablechat stuff, is now removed completely as it can be done through the server config.

 

 

Quote

*By way of mention, We did notice that the server is looking for an all lower-case server pbo file name, when some capitalization is used in the contained folder.

where is this?

Share this post


Link to post
Share on other sites

Posted (edited)

Hello Chris, I'm the dev for the server in question here.

To answer your question, she is referring to a3_infiSTAR_Exile.pbo needing to be renamed as a3_infistar_exile.pbo for linux.
We have since went ahead and updated everything on the server so it is now 1.60/0.9.61.

Additional mods in place:

Spoiler

Ryan's Zombies & Demons 4.5
ExileZ-2 spawn system
Defent's Mission System (DMS)
Advanced Towing

All mods were properly implemented and working fine prior to the update.


The infiSTAR scripts now initialize properly and I removed the allowance for 158.
The problem we're now facing is the following BE Script kick:

Spoiler

#3 "];
        _url = toString _url;
        
        _html = (findDisplay 0) ctrlCreate ['RscHTML', 3107182];
        _html ctrlSetBackgroundColor [0,0"


Adding the following filter to scripts.txt does not help, as if it's being completely ignored:

Spoiler

!="];\n        _url = toString _url;\n        \n        _html = (findDisplay 0) ctrlCreate ['RscHTML', 3107182];\n        _html ctrlSetBackgroundColor [0,0"

We have also tried the following variants, also to no avail:
!="];\n\n        _url = toString _url;\n\n        \n\n        _html = (findDisplay 0) ctrlCreate ['RscHTML', 3107182];\n\n        _html ctrlSetBackgroundColor [0,0"
!="['RscHTML', 3107182];\n        _html ctrlSetBackgroundColor [0,0"


Additional potentially useful information:

Spoiler

-Linux, Ubuntu Server 14.03.3 LTS - running as a VM.
-a3_infiSTAR_Exile.pbo had to be renamed to a3_infistar_exile.pbo in order to load (internal folder/file names unchanged)
-I searched every script for a reference to the code: ['RscHTML', 3107182]; and could find nothing.
-Given that battleye seems to be ignoring the filter, it leads me to believe that there may be a secondary (perhaps preceding?) error that is not being logged.
    ·This particular BE kick does result in the A3 client locking up every time.


Hopefully this is enough information to help you find the cause of this issue.
If you would like to and/or are willing work with us more directly in resolving this issue, PM Dianna or myself and we can set up an irc/ts/skype/etc meeting.

During the course of composing this post however, Di mentioned to me you released an update, so I guess we'll try that and report back with our findings.
Thanks again for all the great support you do - it's genuinely appreciated! =)

-TCM

Edited by thecodemonger

Share this post


Link to post
Share on other sites

Looks like all of our issues have been resolved after this most recent update, everything is working as intended. 

Share this post


Link to post
Share on other sites
On 6/7/2016 at 6:35 PM, thecodemonger said:eveal hidden contents

Adding the following filter to scripts.txt does not help, as if it's being completely ignored:

yes, with that specific line / thing I've had the very same issue.
I even have a program doing the filters automatically for me and it couldn't solve the issue.

Seems like magic lol - just another #armabug

 

On 6/7/2016 at 8:47 PM, iDiannasaur said:

Looks like all of our issues have been resolved after this most recent update, everything is working as intended. 

Thanks for letting me know :)

if there is anything else, you can also shoot me a private message

Share this post


Link to post
Share on other sites
Advertisement
Guest
This topic is now closed to further replies.
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.